## libqinfinity 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)

add_subdirectory(libqinfinity)

=== libqinfinity/CMakeLists.txt ===
project(libqinfinity)

find_package(Libinfinity REQUIRED)
find_package(Libinftext REQUIRED)
find_package(Qt4 REQUIRED)

set(QT_USE_QTNETWORK true)
include(${QT_USE_FILE})

set(LIBS ${LIBS} ${LIBINFINITY_LIBRARIES} ${LIBINFTEXT_LIBRARIES} ${QT_LIBRARIES})
set(QInfinity_SRCS
	init.cpp
	qgobject.cpp
	qgsignal.cpp
	wrapperstore.cpp
	qtio.cpp
	qtiowatch.cpp
	certificatecredentials.cpp
	ipaddress.cpp
	tcpconnection.cpp
	xmlconnection.cpp
	xmppconnection.cpp
	communicationmanager.cpp
	communicationjoinedgroup.cpp
	user.cpp
	adopteduser.cpp
	usertable.cpp
	request.cpp
	userrequest.cpp
	explorerequest.cpp
	browser.cpp
	browseriter.cpp
	sessionproxy.cpp
	session.cpp
	adoptedsession.cpp
	textsession.cpp
	browsermodel.cpp
	browseritemfactory.cpp
	usersmodel.cpp
	buffer.cpp
	textchunk.cpp
	textbuffer.cpp
	abstracttextbuffer.cpp
	textdefaultbuffer.cpp
	noteplugin.cpp
	defaulttextplugin.cpp
	noderequest.cpp
	undogrouping.cpp
)

set(QInfinity_HDRS
	init.h
	qgobject.h
	qgsignal.h
	wrapperstore.h
	qtio.h
	qtiowatch.h
	certificatecredentials.h
	ipaddress.h
	tcpconnection.h
	tcpconnection.h
	xmlconnection.h
	xmppconnection.h
	communicationmanager.h
	communicationjoinedgroup.h
	user.h
	adopteduser.h
	usertable.h
	request.h
	userrequest.h
	explorerequest.h
	browser.h
	browseriter.h
	sessionproxy.h
	session.h
	adoptedsession.h
	textsession.h
	browsermodel.h
	browseritemfactory.h
	usersmodel.h
	buffer.h
	textchunk.h
	textbuffer.h
	abstracttextbuffer.h
	textdefaultbuffer.h
	noteplugin.h
	defaulttextplugin.h
	noderequest.h
	undogrouping.h
)

qt4_automoc(${QInfinity_SRCS})

include_directories(${LIBINFINITY_INCLUDES} ${LIBINFTEXT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

add_library(qinfinity SHARED ${QInfinity_SRCS})

set_target_properties(qinfinity
	PROPERTIES
	VERSION 3.1.0
	SOVERSION 4)

target_link_libraries(qinfinity ${LIBS})

install(TARGETS qinfinity
	DESTINATION lib${LIB_SUFFIX})

install(FILES ${QInfinity_HDRS}
	DESTINATION include/libqinfinity)

## libqinfinity 0.5.1

=== debian/changelog ===
libqinfinity (1:0.5.1-1) experimental; urgency=low

  * New upstream release
  * Repackaged for git.
  * Bumped Standards-Version to 3.9.4
  * Bump debhelper compat to 9
  * Updated copyright file.
  * Added symbols file libqinfinity3.symbols
  * Upstream bumped the SONAME, use libqinfinity3.
  * Switch to libinfinity-0.5
  * Add dependency pkg-kde-tools helper.
  * Introduce epoch to allow changing version number to match that
    of libinfinity.
  * Remove unneeded debian/*.dirs files
  * Backport unversioned-header-dir.patch to put headers into an
    unversioned directory

 -- Diane Trout <diane@ghic.org>  Sat, 19 Oct 2013 14:58:35 -0700

libqinfinity (1.0~beta5-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release
  * Updated changelog, watch and control with new website
  * Added Vcs-* tags since libqinfinity is now in pkg-kde's kde-extras SVN.
  * Bumped Standards-Version from 3.8.1 to 3.8.4 (no changes needed).
  * Upstream bumped the SONAME, update libqinfinity1 -> libqinfinity2
  * Update the libqinfinity1 lintian-overrides to the libqinfinity2 package
    name
  * Both libqinfinity1 and libqinfinity2 ship /usr/lib/libqinfinity.so.0.1 ,
    therefore we need to conflict.
  * Switch to libinfinity-0.4
  * Switch to Debian source format 3.0 (quilt)
  * Move from experimental to unstable

  [ Fathi Boudra ]
  * Cleaned up build dependencies:
    - Remove useless versions.
    - Remove qt4-qmake as it is a libqt-dev dependency.

  [ Mark Purcell ]
  * debian/watch uversionmangle rename upstream b -> ~beta & svn-upgrade
  * Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
  * Add myself to uploaders

 -- Mark Purcell <msp@debian.org>  Tue, 06 Apr 2010 17:40:22 +1000

libqinfinity (1.0~beta3-1) experimental; urgency=low

  [ Ryan Kavanagh ]
  * Initial release (Closes: #530891)

  [ Philipp Kern ]
  * Changed section of libqinfinity-dbg to debug.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 29 May 2009 14:44:34 +0200

=== debian/control ===
Source: libqinfinity
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9.0.0),  cmake, pkg-kde-tools, libx11-dev,
 libqt4-dev,
 libglib2.0-dev,
 libgsasl7-dev,
 libinfinity-0.5-dev,
 libxml2-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/libqinfinity
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libqinfinity.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libqinfinity.git

Package: libqinfinity-dev
Section: libdevel
Architecture: any
Depends: libqinfinity3 (= ${binary:Version}), ${misc:Depends}
Description: development headers for Qt infinote collaborative text editing
 Library to build collaborative text editors. Changes to the text
 buffers are synced to all other clients over a central server. Even
 though a central server is involved, the local user sees his changes
 applied instantly and the merging is done on the individual clients.
 .
 This package contains the Qt interface's shared object files.

Package: libqinfinity3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: infinote collaborative text editing from Qt
 Library to build collaborative text editors. Changes to the text
 buffers are synced to all other clients over a central server. Even
 though a central server is involved, the local user sees his changes
 applied instantly and the merging is done on the individual clients.
 .
 This package contains the Qt interface's headers for libqinfinity and
 all files needed to link applications dependening on this library.

Package: libqinfinity-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libqinfinity3 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for infinote collaborative text editing from Qt
 Library to build collaborative text editors. Changes to the text
 buffers are synced to all other clients over a central server. Even
 though a central server is involved, the local user sees his changes
 applied instantly and the merging is done on the individual clients.
 .
 This package contains the Qt interface's debugging symbols.

## libqinfinity 0.5.2

=== debian/changelog ===
libqinfinity (1:0.5.2-0ubuntu1) trusty; urgency=medium

  * Kubuntu upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 11:48:28 +0000

libqinfinity (1:0.5.2-1) experimental; urgency=low

  * New upstream release 0.5.2.
  * Update copyright file
  * Update symbols file to libqinfinity4
  * Remove unversioned-header-dir.patch applied upstream.
  * Add lintian-overrides to ignore no-upstream-changelog

 -- Diane Trout <diane@ghic.org>  Sun, 29 Dec 2013 19:16:53 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libqinfinity
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends: debhelper (>= 9.0.0),  cmake, pkg-kde-tools, libx11-dev,
  libqt4-dev,
@@ -17,7 +18,7 @@
 Package: libqinfinity-dev
 Section: libdevel
 Architecture: any
-Depends: libqinfinity3 (= ${binary:Version}), ${misc:Depends}
+Depends: libqinfinity4 (= ${binary:Version}), ${misc:Depends}
 Description: development headers for Qt infinote collaborative text editing
  Library to build collaborative text editors. Changes to the text
  buffers are synced to all other clients over a central server. Even
@@ -26,7 +27,7 @@
  .
  This package contains the Qt interface's shared object files.
 
-Package: libqinfinity3
+Package: libqinfinity4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: infinote collaborative text editing from Qt
@@ -42,7 +43,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libqinfinity3 (= ${binary:Version}), ${misc:Depends}
+Depends: libqinfinity4 (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for infinote collaborative text editing from Qt
  Library to build collaborative text editors. Changes to the text
  buffers are synced to all other clients over a central server. Even

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@  --with kde --dbg-package=libqinfinity-dbg --list-missing

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/libqinfinity/([0-9.]+)/src/libqinfinity-v([0-9.]+)\.tar\.(?:gz|bz2|xz)

## libqinfinity 1.0~beta3

=== libqinfinity/CMakeLists.txt ===
PROJECT(libqinfinity)

find_package(Libinfinity REQUIRED)
find_package(Libinftext REQUIRED)
find_package(Qt4 REQUIRED)

set(QT_USE_QTNETWORK true)
INCLUDE(${QT_USE_FILE})

set(LIBS ${LIBS} ${LIBINFINITY_LIBRARIES} ${LIBINFTEXT_LIBRARIES} ${QT_LIBRARIES})
set(QInfinity_SRCS
	init.cpp
	qgobject.cpp
	wrapperstore.cpp
	qtio.cpp
	qtiowatch.cpp
	ipaddress.cpp
	tcpconnection.cpp
	xmlconnection.cpp
	xmppconnection.cpp
	communicationmanager.cpp
	communicationjoinedgroup.cpp
	user.cpp
	adopteduser.cpp
	usertable.cpp
	request.cpp
	userrequest.cpp
	explorerequest.cpp
	browser.cpp
	browseriter.cpp
	sessionproxy.cpp
	session.cpp
	adoptedsession.cpp
	textsession.cpp
	browsermodel.cpp
	browseritemfactory.cpp
	buffer.cpp
	textchunk.cpp
	textbuffer.cpp
	abstracttextbuffer.cpp
	textdefaultbuffer.cpp
	noteplugin.cpp
	defaulttextplugin.cpp)

set(QInfinity_HDRS
	init.h
	qgobject.h
	wrapperstore.h
	qtio.h
	qtiowatch.h
	ipaddress.h
	tcpconnection.h
	tcpconnection.h
	xmlconnection.h
	xmppconnection.h
	communicationmanager.h
	communicationjoinedgroup.h
	user.h
	adopteduser.h
	usertable.h
	request.h
	userrequest.h
	explorerequest.h
	browser.h
	browseriter.h
	sessionproxy.h
	session.h
	adoptedsession.h
	textsession.h
	browsermodel.h
	browseritemfactory.h
	buffer.h
	textchunk.h
	textbuffer.h
	abstracttextbuffer.h
	textdefaultbuffer.h
	noteplugin.h
	defaulttextplugin.h)

QT4_AUTOMOC(${QInfinity_SRCS})

include_directories(${LIBINFINITY_INCLUDES} ${LIBINFTEXT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(qinfinity SHARED ${QInfinity_SRCS})

SET_TARGET_PROPERTIES(qinfinity
	PROPERTIES
	VERSION 0.1
	SOVERSION 1)

TARGET_LINK_LIBRARIES(qinfinity ${LIBS})

INSTALL(TARGETS qinfinity
	DESTINATION lib)

INSTALL(FILES ${QInfinity_HDRS}
	DESTINATION include/libqinfinity-1.0/libqinfinity)

## libqinfinity 1.0~beta5

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)
SUBDIRS(libqinfinity test)

=== libqinfinity/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,11 @@
 set(QInfinity_SRCS
 	init.cpp
 	qgobject.cpp
+	qgsignal.cpp
 	wrapperstore.cpp
 	qtio.cpp
 	qtiowatch.cpp
+	certificatecredentials.cpp
 	ipaddress.cpp
 	tcpconnection.cpp
 	xmlconnection.cpp
@@ -34,6 +36,7 @@
 	textsession.cpp
 	browsermodel.cpp
 	browseritemfactory.cpp
+	usersmodel.cpp
 	buffer.cpp
 	textchunk.cpp
 	textbuffer.cpp
@@ -45,9 +48,11 @@
 set(QInfinity_HDRS
 	init.h
 	qgobject.h
+	qgsignal.h
 	wrapperstore.h
 	qtio.h
 	qtiowatch.h
+	certificatecredentials.h
 	ipaddress.h
 	tcpconnection.h
 	tcpconnection.h
@@ -69,6 +74,7 @@
 	textsession.h
 	browsermodel.h
 	browseritemfactory.h
+	usersmodel.h
 	buffer.h
 	textchunk.h
 	textbuffer.h
@@ -86,12 +92,12 @@
 SET_TARGET_PROPERTIES(qinfinity
 	PROPERTIES
 	VERSION 0.1
-	SOVERSION 1)
+	SOVERSION 2)
 
 TARGET_LINK_LIBRARIES(qinfinity ${LIBS})
 
 INSTALL(TARGETS qinfinity
-	DESTINATION lib)
+	DESTINATION lib${LIB_SUFFIX})
 
 INSTALL(FILES ${QInfinity_HDRS}
 	DESTINATION include/libqinfinity-1.0/libqinfinity)

=== test/CMakeLists.txt ===
find_package(Qt4 REQUIRED)
find_package(Libinfinity REQUIRED)

set(QT_USE_QTNETWORK true)
INCLUDE(${QT_USE_FILE})

include_directories(${LIBINFINITY_INCLUDES} ${CMAKE_SOURCE_DIR}/libqinfinity ${CMAKE_CURRENT_BINARY_DIR})

QT4_AUTOMOC(guibrowser.cpp
	connection.cpp
	createitemdialog.cpp)

set(guibrowser_UI
	newconnectionwidget.ui)

QT4_WRAP_UI(guibrowser_UI_HDRS
	${guibrowser_UI})

add_executable(guibrowser guibrowser.cpp connection.cpp createitemdialog.cpp ${guibrowser_UI_HDRS})
target_link_libraries(guibrowser ${QT_LIBRARIES} ${LIBINFINITY_LIBRARIES} qinfinity)

=== debian/control ===
Source: libqinfinity
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7), cmake, cdbs, libinfinity-0.4-dev,
 libgsasl7-dev, libqt4-dev
Standards-Version: 3.8.4
Homepage: http://kobby.greghaynes.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/libqinfinity/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/libqinfinity/trunk/

Package: libqinfinity-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqinfinity2 (= ${binary:Version}),
 libinfinity-0.4-dev
Description: Qt interface for libinfinity - development files
 Library to build collaborative text editors. Changes to the text buffers are
 synced to all other clients over a central server.  Even though a central
 server is involved, the local user sees his changes applied instantly and the
 merging is done on the individual clients.
 .
 This package contains the Qt interface's headers for libqinfinity and all files
 needed to link applications dependening on this library.

Package: libqinfinity2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libqinfinity1
Description: Qt interface for libinfinity
 Library to build collaborative text editors. Changes to the text buffers are
 synced to all other clients over a central server.  Even though a central
 server is involved, the local user sees his changes applied instantly and the
 merging is done on the individual clients.
 .
 This package contains the Qt interface's shared object files.

Package: libqinfinity-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqinfinity2 (= ${binary:Version})
Description: Qt interface for libinfinity - debug symbols
 Library to build collaborative text editors. Changes to the text buffers are
 synced to all other clients over a central server.  Even though a central
 server is involved, the local user sees his changes applied instantly and the
 merging is done on the individual clients.
 .
 This package contains the Qt interface's debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

=== debian/watch ===
version=3
opts=uversionmangle=s/b/~beta/ \
 http://kobby.greghaynes.net/file-cabinet \
 /file-cabinet/libqinfinity-(.*)\.tar\.gz\?attredirects=0&amp\;d=1 \
	debian svn-upgrade
